gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Container A Box is a Gtk container that holds an arbitrary number of widgets. This means its sole purpose is to provide layout, size and spacing for other widgets.

A Box is a rectangular area organized into either a single row or a single column of child widgets, depending upon whether the box is horizontally or vertically oriented, respectively.

A Box is abstract - specific layout containers are provided in its sub classes, including a horizontal box, (), a vertical box (), and button boxes, ().

Widgets that are 'packed' into a box are considered to be the children of the box, and the box controls their layout. Properties such as control the layout of all the children in the box, whereas specific packing settings can be applied to each child individually, such as .

- Constructor
  2.12.0.0
  Protected constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("homogeneous")
  System.Boolean Set the size of all child widgets to be the same if child widgets size themselves equally, false otherwise.
- Property
  2.12.0.0
  Gtk.Container+ContainerChild `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` The child widget to add to the box. Add a widget to the 'end' of a box with default packing settings.

  The 'end' of a box is the right hand side in a and the bottom in a .

- Method
  2.12.0.0
  System.Void `` `` `` `` A widget to pack into the box. If , the child widget will expand to use as much space as it is given. If , the child widget will request as much space as is available. The size (in pixels) of a border to place around the specified child widget. Add a widget to the 'end' of a box with the specified packing properties.

  To add a widget to the end of a box with default packing, use

- Method
  2.12.0.0
  System.Void `` The child widget to add to the box. Add a widget to the 'start' of a box with default packing settings.

  The 'start' of a box is the left hand side in a and the top in a .

- Method
  2.12.0.0
  System.Void `` `` `` `` A widget to pack into the box. If , the child widget will expand to use as much space as it is given. If , the child widget will request as much space as is available. The size (in pixels) of a border to place around the specified child widget. Add a widget to the 'start' of a box with the specified packing properties.

  To add a widget to the start of a box with default packing, use

- Method
  2.12.0.0
  System.Void `` `` `` `` `` the of the child to query. a , the returned value of the expand field in the BoxChild object. a , the returned value of the fill field in the BoxChild object. a , the retuned value of the padding field in the BoxChild object. a , the returned value of the pack field in the BoxChild object. Returns information about how is packed into .
- Method
  2.12.0.0
  System.Void `` `` A widget that has already been packed into this box.

  The new position for this widget, indexed from zero. If negative, the will be placed at the end of the box.

  Alters the position of a child widget that has already been packed into a Box.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` The child widget whose layout should be adjusted If , the child widget will expand to use as much space as it is given. If , the child widget will request as much space as is available. The size (in pixels) of a border to place around the specified child widget. Whether this child widget should be packed from the beginning of the box, (eg. the left, or the top), or from the end, (eg. the right or the bottom) Change the packing properties of a child that is currently in this box.

  It is more common to set any specific packing requirements on child widgets when they are initially added to the box. This can be done using and .

- Property
  2.12.0.0
  GLib.Property("spacing")
  System.Int32 Adjust the spacing between child widgets. The current pixel spacing between child widgets